/*
 * Cell class for the categoryColumn cellFactory
 * contains a reference to the category Image and
 * shows an ImageView with that Image.
 */
package nyanner;

import javafx.scene.control.ContentDisplay;
import javafx.scene.control.TableCell;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;

/**
 *
 * @author Yanju
 */
public class CategoryCell<S> extends TableCell<S, Image> {

    final ImageView imageView  = new ImageView();

    public CategoryCell() {
        setContentDisplay(ContentDisplay.GRAPHIC_ONLY);

    }

    @Override
    protected void updateItem(Image item, boolean empty) {
        super.updateItem(item, empty);
        if (empty || item == null) {
            imageView .setImage(null);
            setText(null);
            setGraphic(null);
        } 
            imageView.setImage(item);
            setGraphic(imageView);
        
    }
}
