/*
 * Cell class for the dlColumn cellFactory
 * contains a reference to the torrent id and
 * shows an ImageView with a download magnet icon
 */
package nyanner;

import javafx.scene.Cursor;
import javafx.scene.control.ContentDisplay;
import javafx.scene.control.TableCell;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;

/**
 *
 * @author Yanju
 */
public class MagnetCell<S> extends TableCell<S, String> {

    final ImageView imageView = new ImageView();

    public MagnetCell(Image magnetIcon) {
        imageView.setImage(magnetIcon);
        imageView.setCursor(Cursor.HAND);
        setContentDisplay(ContentDisplay.GRAPHIC_ONLY);

    }

    @Override
    protected void updateItem(String item, boolean empty) {
        super.updateItem(item, empty);
        if (empty || item == null) {
            setText(null);
            setGraphic(null);
        } else {
            setGraphic(imageView);
        }

    }
}
