/*
 * Torrent class, encapsuates metadata of a torrent file, used as items in the itemsTable
 */
package nyanner;

import javafx.scene.image.Image;

/**
 *
 * @author Yanju
 */
public class Torrent {

    private final String id;
    private final String name;
    private final String quality;
    private final String size;
    private final Image category;

    /**
     * Constructor
     *
     * @param id torrent id in nyaaDB
     * @param name torrent name
     * @param quality torrent quality
     * @param category torrent category (anime/music..)
     * @param size torrent size (as string)
     */
    public Torrent(String id, String name, String quality, Image category, String size) {
        this.id = id;
        this.name = name;
        this.quality = quality;
        this.size = size;
        this.category = category;
    }

    //getters
    public String getQuality() {
        return quality;
    }

    public Image getCategory() {
        return category;
    }

    public String getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getSize() {
        return size;
    }
}
